Bug 88554 - kernel panic in reschedule
kernel panic in reschedule
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 16:40 EDT by Red Hat Production Operations
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 21:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-10 16:40:09 EDT
Oops: 0000
Kernel 2.4.9-e.12enterprise
CPU:    5
EIP:    0010:[<c011966b>]    Not tainted
EFLAGS: 00010003
EIP is at schedule [kernel] 0x1bb 
eax: 0000008c   ebx: c03577a0   ecx: c03577c0   edx: d9654000
esi: ffffffd5   edi: d9654000   ebp: d9655fbc   esp: d9655f9c
ds: 0018   es: 0018   ss: 0018
Process oracle (pid: 12822, stackpage=d9655000)
Stack: c0114178 ecc74200 ecc74280 eba13820 d9654000 d9654000 5adc8778 5adc8701 
       bffe9b38 c0107399 0a258f54 00000000 00000001 5adc8778 5adc8701 bffe9b38 
       00000001 c010002b 0000002b ffffffef 09908394 00000023 00000246 bffe9ab0 
Call Trace: [<c0114178>] smp_apic_timer_interrupt [kernel] 0xb8 
[<c0107399>] reschedule [kernel] 0x5 

Code: 8b 46 58 89 45 ec 8b 47 54 89 45 e8 8b 4d ec 85 c9 75 32 89

NMI Watchdog detected LOCKUP on CPU0, eip c02387b3, registers:
Kernel 2.4.9-e.12enterprise
CPU:    0
EIP:    0010:[<c02387b3>]    Not tainted
EFLAGS: 00000082
EIP is at stext_lock [kernel] 0x7b3 
eax: 0000005f   ebx: f0e64000   ecx: 00003020   edx: c030fd24
esi: c03577a0   edi: 00000000   ebp: c030fd34   esp: c030fd1c
ds: 0018   es: 0018   ss: 0018
Process swapper (pid: 0, stackpage=c030f000)
Stack: c030fd24 c0356e00 00000002 f0e65e0c 00000001 ed3eea40 c030fd5c c01198c2 
       f0e64000 00000000 ed3eea44 00000282 00000001 d377f70c d377f5a0 e1cddb20 
       d377f6d8 c020819b f8aaded2 000005f6 00000003 000005f6 00000000 d0619034 
Call Trace: [<c01198c2>] __wake_up [kernel] 0x42 
[<c020819b>] tcp_v4_rcv [kernel] 0x39b 
[<f8aaded2>] LM_ServiceInterrupts [bcm5700] 0x2c2 
[<c01f29b3>] ip_queue_xmit [kernel] 0x3a3 
[<c01ef94b>] ip_local_deliver [kernel] 0x12b 
[<c01efd3a>] ip_rcv [kernel] 0x35a 
[<f8807b94>] scsi_queue_next_request [scsi_mod] 0x64 
[<f8807e49>] __scsi_end_request [scsi_mod] 0x1b9 
[<f88081f1>] scsi_io_completion_Rsmp_4dff857c [scsi_mod] 0x2a1 
[<c01dee6b>] net_rx_action [kernel] 0x1eb 
[<c01da83c>] kfree_skbmem [kernel] 0xc 
[<c01da9c9>] __kfree_skb [kernel] 0x129 
[<c01deb42>] net_tx_action [kernel] 0x62 
[<c0120d3b>] do_softirq [kernel] 0x7b 
[<c0108e0e>] do_IRQ [kernel] 0xfe 
[<c0105400>] default_idle [kernel] 0x0 
[<c0105400>] default_idle [kernel] 0x0 
[<c0245c30>] call_do_IRQ [kernel] 0x5 
[<c0105400>] default_idle [kernel] 0x0 
[<c0105400>] default_idle [kernel] 0x0 
[<c010542e>] default_idle [kernel] 0x2e 
[<c0105492>] cpu_idle [kernel] 0x32 
[<c0105000>] stext [kernel] 0x0 
[<c0244760>] .rodata.str1.32 [kernel] 0x560 

Code: 7e f5 e9 76 02 ee ff 80 be 80 47 35 c0 00 f3 90 7e f5 e9 4e


Kernel panic: not continuing
Comment 1 Need Real Name 2003-04-10 17:10:34 EDT
This occured on the same machine as bug #86573.  Inbetween these two panics, we
have removed the e100 add-in card, and activated the on-board broadcom interfaces.
Comment 2 Larry Woodman 2005-09-28 21:20:08 EDT
We were never able to reproduce this problem so I am closing the bug.  If you
can get this tp occur on RHEL3 please open up a seperate bug.

Larry Woodman

Note You need to log in before you can comment on or make changes to this bug.